Bug 639978 - authconfig should touch only those files which need an update
authconfig should touch only those files which need an update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 09:28 EDT by Petr Šplíchal
Modified: 2016-05-31 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: authconfig-6.1.11-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-11 15:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2010-10-04 09:28:14 EDT
Description of problem:

The problem mentioned in bug 594030 was partially fixed there.
However when disabling an authentication method the config files
/etc/nsswitch.conf & /etc/pam.d/system-auth-ac are still being
overwritten although no change in configuration happened:

# rpm -q authconfig
authconfig-6.1.4-6.el6.x86_64

# strace authconfig --update --enablesssd --enablesssdauth 2>&1 | grep
'/etc/.*O_CREAT'
open("/etc/nsswitch.confx8WJpR", ...
open("/etc/pam.d/system-auth-acnUklPk", ...
open("/etc/pam.d/password-auth-ac2Kcu8M", ...
open("/etc/pam.d/fingerprint-auth-acp4c7ME", ...
open("/etc/pam.d/smartcard-auth-ac4QEm1m", ...

# strace authconfig --update --enablesssd --enablesssdauth 2>&1 | grep
'/etc/.*O_CREAT'

# strace authconfig --update --disablesssd --disablesssdauth 2>&1 | grep
'/etc/.*O_CREAT'
open("/etc/nsswitch.confUfn0do", ...
open("/etc/pam.d/system-auth-accgstF4", ...
open("/etc/pam.d/password-auth-aci5dHcy", ...
open("/etc/pam.d/fingerprint-auth-acgG4q2e", ...
open("/etc/pam.d/smartcard-auth-acv98bfI", ...

# strace authconfig --update --disablesssd --disablesssdauth 2>&1 | grep
'/etc/.*O_CREAT'
open("/etc/pam.d/system-auth-acHOUPIf", ...
open("/etc/pam.d/password-auth-acLy5lu5", ...
open("/etc/pam.d/fingerprint-auth-ac8uGc9q", ...
open("/etc/pam.d/smartcard-auth-acynG2CU", ...
Comment 1 Tomas Mraz 2010-10-11 15:27:33 EDT
Hopefully fixed in the latest authconfig release.

Note You need to log in before you can comment on or make changes to this bug.